import 'package:flutter/material.dart';
import 'package:freezed_annotation/freezed_annotation.dart';
import 'module_model.dart';

part 'license_model.freezed.dart';
part 'license_model.g.dart';

@freezed
class LicenseModel with _$LicenseModel {
  const factory LicenseModel({
    required List<ModuleModel> modules,
  }) = _LicenseModel;

  factory LicenseModel.fromJson(Map<String, dynamic> json) =>
      _$LicenseModelFromJson(json);
}
